AladiaDocs
Api referenceEducationsBook librariesBooks

List all subjects

List all subjects

GET
/v2/educations/book-libraries/{libraryId}/books/{id}/subjects

List all subjects

AuthorizationBearer <token>

In: header

Path Parameters

libraryId*string
id*string

Response Body

application/json

curl -X GET "https://example.com/v2/educations/book-libraries/string/books/string/subjects"
[  {    "id": "string",    "title": "string",    "color": "string",    "teachers": [      {        "id": "string",        "invited": true,        "fullName": "string",        "picture": "string",        "cover": "string",        "isFollowing": true,        "online": true,        "email": "string",        "story": {},        "organizationRole": "organization-owner",        "areaOwner": {},        "declined": true      }    ],    "courses": [      "string"    ],    "area": "string",    "numberOf": {},    "attachments": [      "string"    ],    "books": [      "string"    ],    "createdAt": "string",    "updatedAt": "string",    "createdBy": "string",    "updatedBy": "string",    "icon": "string",    "levels": [      {        "id": "string",        "title": "string",        "books": [          "string"        ]      }    ]  }]